Subject: Re: Linking statically against GraphicsMagick: problems with libxml2 and libpng
From: marco atzeri <[email-masked]>
To: Dmitry Katsubo <[email-masked]>
Cc: [email-masked]
Date: Tue, 19 Apr 2011 21:26:55 +0200
List-Id: <cygwin.cygwin.com>

On Tue, Apr 19, 2011 at 8:36 PM, Dmitry Katsubo wrote:
> Hi Marc,
>
> On 05.04.2011 10:48, marco atzeri wrote:
>> you can check the package source and propose the change
>
> I have went through the manual installation of libxml: the package was
> installed absolutely OK. After "make install" I got:
>
> $ ls -1 /usr/local/lib/libxml2*
> /usr/local/lib/libxml2.a
> /usr/local/lib/libxml2.dll.a
> /usr/local/lib/libxml2.la
>
> $ ls -1 /usr/local/bin/cygxml2*
> /usr/local/bin/cygxml2-2.dll
>
> I believe this is Cygwin packaging problem, which does not put libxml2.a
> into destination devel package. I am not familiar with how the binary
> packages are created. Perhaps you can help me here. Is it possible to
> have a look at the logs at Cygwin build server? I can attach mine, which
> show how libxml2.a is successfully build and installed.

Hi Dmitry,
there is no cygwin build server. Any maintainer build the packages by itself.
To replicate download the source package with setup and

$ cd /usr/src
$ cygport libxml2-2.7.7-1.cygport prep compile

From the Yaakov's package source build log  I see :

checking whether to build shared libraries... yes
checking whether to build static libraries... no

so something is blocking the "theoretical" default configuration

  --enable-shared[=PKGS]  build shared libraries [default=yes]
  --enable-static[=PKGS]  build static libraries [default=yes]

and looking on configure we see that the default seems no

--------------------------------------------------------------------------
  # Check whether --enable-static was given.
if test "${enable_static+set}" = set; then :
  enableval=$enable_static; p=${PACKAGE-default}
    case $enableval in
    yes) enable_static=yes ;;
    no) enable_static=no ;;
    *)
     enable_static=no
      # Look at the argument we got.  We use all the common list separators.
      lt_save_ifs="$IFS"; IFS="${IFS}$PATH_SEPARATOR,"
      for pkg in $enableval; do
        IFS="$lt_save_ifs"
        if test "X$pkg" = "X$p"; then
          enable_static=yes
        fi
      done
      IFS="$lt_save_ifs"
      ;;
    esac
else
  enable_static=yes
fi
-------------------------------------------------------------------------

so an enable static should be added to the .cygport.

> --
> With best regards,
> Dmitry
>

Marco

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple